ShapeEnum (KML Framework API)
Keywords: org.boehn.kmlframework.kml.ShapeEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.kml
Enum ShapeEnum

    java.lang.Object
      java.lang.Enum<ShapeEnum>
          org.boehn.kmlframework.kml.ShapeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ShapeEnum>

    public enum ShapeEnum

extends java.lang.Enum<ShapeEnum>

Enum Constant Summary
`cylinder`
`rectangle`
`sphere`

Method Summary
`static ShapeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShapeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### rectangle

    public static final ShapeEnum rectangle

### cylinder

    public static final ShapeEnum cylinder

### sphere

    public static final ShapeEnum sphere

Method Detail

### values

    public static final ShapeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ShapeEnum c : ShapeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ShapeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD